# CLCommandQueue (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class CLCommandQueue

    java.lang.Object
      org.lwjgl.PointerWrapperAbstract
          org.lwjgl.opencl.CLCommandQueue

All Implemented Interfaces:
  PointerWrapper

    public final class CLCommandQueue

extends PointerWrapperAbstract

This class is a wrapper around a cl_command_queue pointer.

Author:
  Spasi

Field Summary

Fields inherited from class org.lwjgl.PointerWrapperAbstract
`pointer`

Method Summary
`CLDevice` `getCLDevice()`
`CLEvent` `getCLEvent(long id)` Returns a CLEvent associated with this command-queue.
`int` `getInfoInt(int param_name)` Returns the integer value of the specified parameter.
`P` `getParent()`
`int` `getReferenceCount()`
`boolean` `isValid()` Returns true if this object represents a valid pointer.

Methods inherited from class org.lwjgl.PointerWrapperAbstract
`checkValid, equals, getPointer, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getCLDevice

    public CLDevice getCLDevice()

### getCLEvent

    public CLEvent getCLEvent(long id)

  Returns a CLEvent associated with this command-queue.

  Parameters:
    `id` - the event object id
  Returns:
    the CLEvent object

### getInfoInt

    public int getInfoInt(int param_name)

  Returns the integer value of the specified parameter.

  Parameters:
    `param_name` - the parameter
  Returns:
    the parameter value

### getParent

    public P getParent()

### getReferenceCount

    public final int getReferenceCount()

### isValid

    public final boolean isValid()

  Description copied from class: `PointerWrapperAbstract`
  Returns true if this object represents a valid pointer. The pointer might be invalid because it is NULL or because some other action has deleted the object that this pointer represents.

  Overrides:
    `isValid` in class `PointerWrapperAbstract`
  Returns:
    true if the pointer is valid

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.